/*
 * 
 * 图片处理部分
 * */

var system, userAgent = navigator.userAgent.toLocaleLowerCase();
if(userAgent.indexOf("android") >= 0 || userAgent.indexOf("linux") > 0 || userAgent.indexOf("vivobrowser") > 0) {
	system = "android";
} else if(userAgent.indexOf("iphone") >= 0 || userAgent.indexOf("ipad") >= 0) {
	system = "ios";
}

function selectFileImage(fileObj, thisImage, callback) {
    var file = fileObj.files['0'];
    //图片方向角 added by lzk
    var Orientation = null;
    if(file) {
        var rFilter = /^(image\/jpeg|image\/png)$/i; // 检查图片格式
        if(!rFilter.test(file.type)) {
            return;
        }
        // var URL = URL || webkitURL;
        //获取照片方向角属性，用户旋转控制
        EXIF.getData(file, function() {
            Orientation = EXIF.getTag(this, 'Orientation');
            //return;
        });

        var oReader = new FileReader();
        oReader.onload = function(e) {
            var image = new Image();
            image.src = e.target.result;
            image.onload = function() {
                var that = this;
                // 默认按比例压缩
                var w = that.width,
                    h = that.height,
                    scale = w / h;
                w = 1200 || w;
                h = w / scale;
                //生成canvas
                var canvas = document.createElement('canvas');
                var ctx = canvas.getContext('2d');
                // 创建属性节点
                var anw = document.createAttribute("width");
                anw.nodeValue = w;
                var anh = document.createAttribute("height");
                anh.nodeValue = h;
                canvas.setAttributeNode(anw);
                canvas.setAttributeNode(anh);
                var base64 = null;
                if(Orientation != "" && Orientation != 1 && Orientation != undefined) {
                    switch(Orientation) {
                        case 6: //需要顺时针90度旋转
                            canvas.width = h;
                            canvas.height = w;
                            ctx.rotate(90 * Math.PI / 180);
                            ctx.drawImage(this, 0, -h, w, h);
                            break;
                        case 8: //需要逆时针90度旋转
                            canvas.width = h;
                            canvas.height = w;
                            ctx.rotate(-90 * Math.PI / 180);
                            ctx.drawImage(this, -w, 0, w, h);
                            break;
                        case 3: //需要180度旋转
                            ctx.rotate(180 * Math.PI / 180);
                            ctx.drawImage(this, -w, -h, w, h);
                            break;
                        default:
                            ctx.drawImage(this, 0, 0, w, h);
                    }
                } else {
                    ctx.drawImage(that, 0, 0, w, h);
                }
                base64 = canvas.toDataURL("image/jpeg", 0.6);
                thisImage.attr("src", base64);
                callback(base64);
            };
        };
        oReader.readAsDataURL(file);
    }
}

//对图片旋转处理
function rotateImg(img, direction, canvas) {
	//最小与最大旋转方向，图片旋转4次后回到原方向    
	var min_step = 0;
	var max_step = 3;
	//var img = document.getElementById(pid);    
	if(img == null) return;
	//img的高度和宽度不能在img元素隐藏后获取，否则会出错    
	var height = img.height;
	var width = img.width;
	//var step = img.getAttribute('step');    
	var step = 2;
	if(step == null) {
		step = min_step;
	}
	if(direction == 'right') {
		step++;
		//旋转到原位置，即超过最大值    
		step > max_step && (step = min_step);
	} else {
		step--;
		step < min_step && (step = max_step);
	}
	//img.setAttribute('step', step);    
	/*var canvas = document.getElementById('pic_' + pid);   
	if (canvas == null) {   
	    img.style.display = 'none';   
	    canvas = document.createElement('canvas');   
	    canvas.setAttribute('id', 'pic_' + pid);   
	    img.parentNode.appendChild(canvas);   
	}  */
	//旋转角度以弧度值为参数    
	var degree = step * 90 * Math.PI / 180;
	var ctx = canvas.getContext('2d');
	switch(step) {
		case 0:
			canvas.width = width;
			canvas.height = height;
			ctx.drawImage(img, 0, 0);
			break;
		case 1:
			canvas.width = height;
			canvas.height = width;
			ctx.rotate(degree);
			ctx.drawImage(img, 0, -height);
			break;
		case 2:
			canvas.width = width;
			canvas.height = height;
			ctx.rotate(degree);
			ctx.drawImage(img, -width, -height);
			break;
		case 3:
			canvas.width = height;
			canvas.height = width;
			ctx.rotate(degree);
			ctx.drawImage(img, -width, 0);
			break;
	}
}
var bodyEl = document.body;
var topPx = 0;

function stopBodyScroll(isFixed) {
	if(isFixed) {
		topPx = window.scrollY;
		bodyEl.style.position = 'fixed';
		bodyEl.style.top = -topPx + 'px';
	} else {
		bodyEl.style.position = '';
		bodyEl.style.top = '';
		window.scrollTo(0, topPx); // 回到原先的top
	}
}
/**
 * 3.0开户信息提示
 * @param word
 */
// function toast(word){
//     var timeer = null;
//     stopBodyScroll(true);
//     $(".toast_public").show().children("span").text(word);
//     timeer = setTimeout(function(){
//         $(".toast_public").hide();
//         stopBodyScroll(false);
//         clearTimeout(timeer);
//         timeer = null;
//     },2000)
// }
function blurReset(current) {
    var self = current[0];
    //  $(window).scrollTop(0)
    if(system == 'ios') {
        setTimeout(function() {
            self.scrollIntoViewIfNeeded(true);
        }, 80);
    }
}


$(".input_item input").focus(function(){
    $(this).parent().find("span").addClass("focus_lines");
});

$(".input_item input").blur(function(){
    blurReset($(this));
    $(this).parent().find("span").removeClass("focus_lines");
});
